Skip to content
Start here

Adds a tag to an event

cloudforce_one.threat_events.event_tags.create(strevent_id, EventTagCreateParams**kwargs) -> EventTagCreateResponse
POST/accounts/{account_id}/cloudforce-one/events/event_tag/{event_id}/create

Adds a tag to an event

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
account_id: str

Account ID.

event_id: str

Event UUID.

tags: SequenceNotStr[str]
ReturnsExpand Collapse
class EventTagCreateResponse:
success: bool

Adds a tag to an event

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
event_tag = client.cloudforce_one.threat_events.event_tags.create(
    event_id="event_id",
    account_id="account_id",
    tags=["botnet"],
)
print(event_tag.success)
{
  "result": {
    "success": true
  },
  "success": true
}
Returns Examples
{
  "result": {
    "success": true
  },
  "success": true
}